<template>
  <base-button link :to="invoiceDetailsLink">
    <base-card class="grid grid--invoice invoice">
      <h3 class="payment-number">
        <span class="text-neutral-400">#</span>{{ invoice.id }}
      </h3>
      <p class="payment-due text-body-a">{{ paymentDue }}</p>
      <p class="payment-client-name text-body-a">
        {{ invoice.clientName }}
      </p>
      <span class="payment-price">{{ total }}</span>
      <base-status :type="status" class="payment-status" :title="status">
      </base-status>
      <div class="payment-arrow">
        <img src="@/assets/icon-arrow-right.svg" alt="" />
      </div>
    </base-card>
  </base-button>
</template>

<script>
export default {
  props: ["invoice"],
  computed: {
    status() {
      return this.invoice.status;
    },
    paymentDue() {
      const date = new Date(this.invoice.paymentDue);
      return "Due " + date.toDateString();
    },
    total() {
      return "£" + this.invoice.total;
    },

    invoiceDetailsLink() {
      return this.$route.path + "/" + this.invoice.id;
    },
  },
};
</script>

<style scoped>
.invoice {
  border: 1px solid transparent;
}
.invoice:hover,
.invoice:active {
  border-color: hsl(var(--clr-primary-100));
}
.grid--invoice {
  gap: 0rem;
  grid-template-columns: max-content 1fr;
  grid-template-areas:
    "number name"
    "due    status"
    "price  status";
}

.payment-number {
  margin-bottom: 1rem;
}
@media (min-width: 56.25em) {
  .grid--invoice {
    gap: 1rem;
    grid-template-columns: repeat(3, max-content) 1fr repeat(3, max-content);
    grid-template-areas: "number due name ... price status arrow";
    align-items: center;
  }
  .payment-number {
    margin-bottom: 0;
  }
}
.payment-due {
  grid-area: due;
}
.payment-client-name {
  grid-area: name;
  margin-left: auto;
}
.payment-arrow {
  display: none;
}
@media (min-width: 56.25em) {
  .payment-arrow {
    grid-area: arrow;
    display: block;
  }
}
.payment-price {
  grid-area: price;
  font-weight: var(--fw-700);
}
.payment-status {
  grid-area: status;
  margin-left: auto;
}
.router-link-active,
.router-link-exact-active {
  text-decoration: none;
  cursor: pointer;
}
a {
  text-decoration: none;
}
</style>
